View Issue Details

IDProjectCategoryView StatusLast Update
0029792Open CASCADEOCCT:Modeling Algorithmspublic2021-09-04 16:22
ReporternbvAssigned Tobugmaster  
PrioritynormalSeveritytrivial 
Status closedResolutionfixed 
Product Version6.9.1 
Target Version7.6.0Fixed in Version7.6.0 
Summary0029792: Modeling Algorithms - Add ::IsParallel method to GeomAPI_Extrema* classes
DescriptionCurrently almost all low-level extremas can return IsParallel status.

However, high-level (GeomAPI_Extrema*) classes do not process this flag and cannot return IsParallel() status at all.

E.g. see current implementation of "extrema" DRAW-command (GeometryTest_APICommands.cxx). "IsParallel" flag is read by the following method:

    isInfinitySolutions = Ex.Extrema().IsParallel();
    if (isInfinitySolutions)
    {
      ...


instead of simple asking Ex.IsParallel().
Steps To ReproduceTest case is not required.
Additional information
and documentation updates
This issue has come from the message 0029712:0076053.
TagsNo tags attached.
Test case numberNot required

Relationships

child of 0026075 closedbugmaster Open CASCADE Make Extrema_GenExtCC return IsParallel flag in case of parallel curves 

Activities

git

2021-08-18 16:54

administrator   ~0103279

Branch CR29792 has been created by asuraven.

SHA-1: f7f5befab2794af673272ccdc3180fd84b24d5da


Detailed log of new commits:

Author: asuraven
Date: Wed Aug 18 16:54:40 2021 +0300

    0029792: Add ::IsParallel method to GeomAPI_Extrema* classes
    
    Add IsParallel() methods for classes:
    - GeomAPI_ExtremaCurveCurve
    - GeomAPI_ExtremaCurveSurface
    - GeomAPI_ExtremaSurfaceSurface

asuraven

2021-08-18 16:57

reporter   ~0103280

kgv

2021-08-21 12:10

developer   ~0103321

+  Standard_EXPORT Standard_Boolean IsParallel() const
+  {

Erroneous Standard_EXPORT.

+
+@subsection upgrade_occt760_isparallel_extrema Add IsParallel() method to GeomAPI_Extrema.. high level classes

It doesn't look like a patch changes behavior or previously existed API that would worth mentioning in Upgrade Guide (nothing to upgrade to).

git

2021-08-23 13:14

administrator   ~0103344

Branch CR29792 has been updated forcibly by asuraven.

SHA-1: 06ede5325ecea839a3a8d0eae8029fc166826d1e

git

2021-08-30 12:29

administrator   ~0103532

Branch CR29792 has been updated forcibly by asuraven.

SHA-1: b6405041247c7b30aafbefbd2f1e9fe088e07040

kgv

2021-08-30 14:53

developer   ~0103538

Please proceed all remarks before switching patch to RESOLVED state.

git

2021-08-30 15:37

administrator   ~0103543

Branch CR29792 has been updated forcibly by asuraven.

SHA-1: eefe9876c7bbb67c068f69dcc61a5a1e9d5f47ec

msv

2021-08-31 12:08

developer   ~0103577

src/GeomAPI/GeomAPI_ExtremaSurfaceSurface.hxx
  //! Returns True if the curve is on a parallel surface.

The comment is not relevant to surf-surf case.

git

2021-08-31 14:12

administrator   ~0103579

Branch CR29792 has been updated forcibly by asuraven.

SHA-1: 821a5f9a5c34426ba2f2a522e9c3b2a45cf5448e

asuraven

2021-08-31 14:13

reporter   ~0103580

fixed

msv

2021-08-31 14:22

developer   ~0103581

For integration:
occt - CR29792
products - none

smoskvin

2021-09-04 14:24

reporter   ~0103749

Combination -
OCCT branch : IR-2021-09-03
master SHA - f26ee38f2a309ffbf7de4eebbcef2c5a5c57d84e
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-09-03 SHA - 87cca1a8f3dd94387a936b9d49f5bd719c69cf4d
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17495.94000000042 / 17441.55000000031 [+0.31%]
Products
Total CPU difference: 11565.440000000113 / 11534.270000000102 [+0.27%]
Windows-64-VC14:
OCCT
Total CPU difference: 19307.140625 / 19200.421875 [+0.56%]
Products
Total CPU difference: 12917.859375 / 12874.53125 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-09-04 14:59

administrator   ~0103782

Branch CR29792 has been deleted by mnt.

SHA-1: 821a5f9a5c34426ba2f2a522e9c3b2a45cf5448e

Related Changesets

occt: master f26ee38f

2021-08-18 13:54:40

asuraven


Committer: bugmaster Details Diff
0029792: Add ::IsParallel method to GeomAPI_Extrema* classes

Add IsParallel() methods for classes:
- GeomAPI_ExtremaCurveCurve
- GeomAPI_ExtremaCurveSurface
- GeomAPI_ExtremaSurfaceSurface
Affected Issues
0029792
mod - src/Extrema/Extrema_ExtSS.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveCurve.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaCurveSurface.hxx Diff File
mod - src/GeomAPI/GeomAPI_ExtremaSurfaceSurface.hxx Diff File

Issue History

Date Modified Username Field Change
2018-05-21 15:03 nbv New Issue
2018-05-21 15:03 nbv Assigned To => msv
2018-05-21 15:04 nbv Additional Information Updated
2019-08-12 17:45 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:53 msv Target Version 7.5.0 => 7.6.0
2021-08-18 15:55 asuraven Assigned To msv => asuraven
2021-08-18 16:54 git Note Added: 0103279
2021-08-18 16:57 asuraven Note Added: 0103280
2021-08-20 12:33 kgv Summary Add ::IsParallel method to GeomAPI_Extrema* classes => Modeling Algorithms - Add ::IsParallel method to GeomAPI_Extrema* classes
2021-08-21 12:10 kgv Note Added: 0103321
2021-08-23 13:14 git Note Added: 0103344
2021-08-30 12:29 git Note Added: 0103532
2021-08-30 12:30 asuraven Assigned To asuraven => msv
2021-08-30 12:30 asuraven Status new => resolved
2021-08-30 14:53 kgv Note Added: 0103538
2021-08-30 14:53 kgv Assigned To msv => asuraven
2021-08-30 14:53 kgv Status resolved => assigned
2021-08-30 14:54 kgv Severity minor => trivial
2021-08-30 14:56 kgv Relationship added child of 0026075
2021-08-30 14:56 kgv Product Version => 6.9.1
2021-08-30 15:37 git Note Added: 0103543
2021-08-30 15:40 asuraven Assigned To asuraven => msv
2021-08-30 15:40 asuraven Status assigned => resolved
2021-08-31 12:08 msv Note Added: 0103577
2021-08-31 12:08 msv Assigned To msv => asuraven
2021-08-31 12:08 msv Status resolved => assigned
2021-08-31 14:12 git Note Added: 0103579
2021-08-31 14:13 asuraven Note Added: 0103580
2021-08-31 14:13 asuraven Assigned To asuraven => msv
2021-08-31 14:13 asuraven Status assigned => resolved
2021-08-31 14:22 msv Note Added: 0103581
2021-08-31 14:22 msv Assigned To msv => bugmaster
2021-08-31 14:22 msv Status resolved => reviewed
2021-09-04 14:24 smoskvin Note Added: 0103749
2021-09-04 14:24 smoskvin Status reviewed => tested
2021-09-04 14:36 bugmaster Changeset attached => occt master f26ee38f
2021-09-04 14:36 bugmaster Status tested => verified
2021-09-04 14:36 bugmaster Resolution open => fixed
2021-09-04 14:59 git Note Added: 0103782
2021-09-04 16:22 smoskvin Test case number => Not required